Discover Government News

SUSE Container Update Advisory: bci/python
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:821-1
Container Tags        : bci/python:3.6 , bci/python:3.6-14.5
Container Release     : 14.5
Severity              : moderate
Type                  : security
References            : 1176262 1183533 1193489 1195831 CVE-2019-20916 CVE-2021-28153
-----------------------------------------------------------------

The container bci/python was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2022:1451-1
Released:    Thu Apr 28 10:47:22 2022
Summary:     Recommended update for perl
Type:        recommended
Severity:    moderate
References:  1193489
This update for perl fixes the following issues:

- Fix Socket::VERSION evaluation and stabilize Socket:VERSION comparisons (bsc#1193489)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:1454-1
Released:    Thu Apr 28 11:15:06 2022
Summary:     Security update for python-pip
Type:        security
Severity:    moderate
References:  1176262,1195831,CVE-2019-20916
This update for python-pip fixes the following issues:

- Add wheel subpackage with the generated wheel for this package
  (bsc#1176262, CVE-2019-20916).

- Make wheel a separate build run to avoid the setuptools/wheel build
  cycle.

- Switch this package to use update-alternatives for all files
  in %{_bindir} so it doesn't collide with the versions on
  'the latest' versions of Python interpreter (jsc#SLE-18038,
  bsc#1195831).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:1455-1
Released:    Thu Apr 28 11:31:51 2022
Summary:     Security update for glib2
Type:        security
Severity:    low
References:  1183533,CVE-2021-28153
This update for glib2 fixes the following issues:

- CVE-2021-28153: Fixed an issue where symlink targets would be incorrectly created as empty files (bsc#1183533).


The following package changes have been done:

- libglib-2_0-0-2.62.6-150200.3.9.1 updated
- perl-base-5.26.1-150300.17.3.1 updated
- python3-pip-20.0.2-150100.6.18.1 updated
- container:sles15-image-15.0.0-17.14.6 updated

SUSE: 2022:821-1 bci/python Security Update

April 29, 2022
The container bci/python was updated

Summary

Advisory ID: SUSE-RU-2022:1451-1 Released: Thu Apr 28 10:47:22 2022 Summary: Recommended update for perl Type: recommended Severity: moderate Advisory ID: SUSE-SU-2022:1454-1 Released: Thu Apr 28 11:15:06 2022 Summary: Security update for python-pip Type: security Severity: moderate Advisory ID: SUSE-SU-2022:1455-1 Released: Thu Apr 28 11:31:51 2022 Summary: Security update for glib2 Type: security Severity: low

References

References : 1176262 1183533 1193489 1195831 CVE-2019-20916 CVE-2021-28153

1193489

This update for perl fixes the following issues:

- Fix Socket::VERSION evaluation and stabilize Socket:VERSION comparisons (bsc#1193489)

1176262,1195831,CVE-2019-20916

This update for python-pip fixes the following issues:

- Add wheel subpackage with the generated wheel for this package

(bsc#1176262, CVE-2019-20916).

- Make wheel a separate build run to avoid the setuptools/wheel build

cycle.

- Switch this package to use update-alternatives for all files

in %{_bindir} so it doesn't collide with the versions on

'the latest' versions of Python interpreter (jsc#SLE-18038,

bsc#1195831).

1183533,CVE-2021-28153

This update for glib2 fixes the following issues:

- CVE-2021-28153: Fixed an issue where symlink targets would be incorrectly created as empty files (bsc#1183533).

The following package changes have been done:

- libglib-2_0-0-2.62.6-150200.3.9.1 updated

- perl-base-5.26.1-150300.17.3.1 updated

- python3-pip-20.0.2-150100.6.18.1 updated

- container:sles15-image-15.0.0-17.14.6 updated

Severity
Container Advisory ID : SUSE-CU-2022:821-1
Container Tags : bci/python:3.6 , bci/python:3.6-14.5
Container Release : 14.5
Severity : moderate
Type : security

Related News